from datetime import datetime
from dataclasses import dataclass
from enum import Enum
from typing import Optional


class ArticleStatus(Enum):
    PENDING = "pending"
    SIMPLIFIED = "simplified"
    FAILED = "failed"


@dataclass
class ArticleDTO:
    """
    DTO для Article без зависимостей от SQLModel.
    Используется в runtime коде для передачи данных между слоями.
    """
    url: str
    title: str
    raw_text: str
    status: ArticleStatus
    created_at: datetime
    id: Optional[int] = None
    simplified_text: Optional[str] = None
    updated_at: Optional[datetime] = None 